Bug 1702693 - error: no kind "CustomResourceDefinition" is registered for version "apiextensions.k8s.io/v1beta1" in scheme "k8s.io/kubernetes/pkg/kubectl/scheme/scheme.go:28"
Summary: error: no kind "CustomResourceDefinition" is registered for version "apiexten...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Templates
Version: 3.11.0
Hardware: Unspecified
OS: Unspecified
unspecified
low
Target Milestone: ---
: 3.11.z
Assignee: Gabe Montero
QA Contact: XiuJuan Wang
URL:
Whiteboard:
Depends On: 1671528
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-04-24 13:35 UTC by Gabe Montero
Modified: 2019-06-26 09:08 UTC (History)
15 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Cause: 'oc new-app' originated before the rise of CRDs, does not support them, and the error message around not being able to create them is confusing Consequence: users were left unclear on how to create their CRDs Fix: better recognize the error when trying to create CRDs and clearly propose to the user which command should be used to create them Result: a clearer path exists for the user
Clone Of: 1671528
Environment:
Last Closed: 2019-06-26 09:08:06 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2019:1605 None None None 2019-06-26 09:08:14 UTC

Comment 2 Gabe Montero 2019-04-29 19:24:48 UTC
PR has merged ... moving to modified

Comment 3 XiuJuan Wang 2019-05-24 05:49:55 UTC
Verified with v3.11.115 cluster

oc v3.11.115
kubernetes v1.11.0+d4cacc0
openshift v3.11.115

Comment 5 errata-xmlrpc 2019-06-26 09:08:06 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2019:1605


Note You need to log in before you can comment on or make changes to this bug.